gnutls_psk_set_server_credentials_function(3)

NAME
gnutls_psk_set_server_credentials_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_psk_set_server_credentials_function(gnutls_psk_server_credentials_t cred, gnutls_psk_server_credentials_function * func);

ARGUMENTS

gnutls_psk_server_credentials_t         cred
    is a gnutls_psk_server_credentials_t type.

gnutls_psk_server_credentials_function         * func
    is the callback function

DESCRIPTION
This function can be used to set a callback to retrieve the user's PSK credentials. The callback's function form is: int (*callback)(gnutls_session_t, const char* username, gnutls_datum_t* key);

 username contains the actual username. The key must be filled in using the gnutls_malloc().

In case the callback returned a negative number then gnutls will assume that the username does not exist.

The callback function will only be called once per handshake. The callback function should return 0 on success, while -1 indicates an error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/